aboutsummaryrefslogtreecommitdiffhomepage
path: root/test-suite/coq-makefile/merlin1/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-suite/coq-makefile/merlin1/run.sh')
-rwxr-xr-xtest-suite/coq-makefile/merlin1/run.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test-suite/coq-makefile/merlin1/run.sh b/test-suite/coq-makefile/merlin1/run.sh
new file mode 100755
index 000000000..3b5d388c9
--- /dev/null
+++ b/test-suite/coq-makefile/merlin1/run.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+#set -x
+set -e
+
+export PATH=../../../bin/:$PATH
+git clean -dfx .
+coq_makefile -f _CoqProject -o Makefile
+make .merlin
+echo B $PWD/src > desired
+echo S $PWD/src >> desired
+tail -2 .merlin > actual
+exec diff -u desired actual